Subject: Srand and rand

From: tj ODonnell <[email-masked]>
Date: Fri, 28 Jul 1995 13:29:03 -0500 (CDT)

I think the following should get you back to the point you left off 
in a random number seqence.

 call srand(original_seed)
 do i=1,n
 call rand()
 end do

This "wastes" n calls of rand(), but is guaranteed to get you back
to where you left off.  Of course, you must know what n was at the
point you left off.  I don't expect n calls to rand will be very
time consuming.

-- 
*---------------------------------------------------------------------*
| Dr. TJ O'Donnell  > [email-masked] <  http://www.eecs.uic.edu/~tj/ |
*---------------------------------------------------------------------*